Bug 1130101 - Review Request: python-sipsimple - SIP SIMPLE client SDK is a Software Development Kit for easy development of SIP multimedia end-points
Summary: Review Request: python-sipsimple - SIP SIMPLE client SDK is a Software Develo...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 728302 pjproject
Blocks: FE-DEADREVIEW 1130103
TreeView+ depends on / blocked
 
Reported: 2014-08-14 10:35 UTC by Pavel Alexeev
Modified: 2020-07-11 00:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-11 00:46:55 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Alexeev 2014-08-14 10:35:40 UTC
Spec URL: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/master/SPECS/python-sipsimple.spec
SRPM URL: http://hubbitus.info/rpm/Fedora20/python-sipsimple/python-sipsimple-1.4.1-1.fc20.src.rpm
Description: SIP SIMPLE client SDK is a Software Development Kit for easy development
of SIP multimedia end-points with features beyond VoIP like Session based
Instant Messaging, File Transfers, Desktop Sharing and Presence. Other
media types can be easily added by using an extensible high-level API.
The SDK consists of several low-level components, Unix command
line clients, a GUI client (Blink) and a server application (SylkServer).

Fedora Account System Username: Hubbitus

Comment 1 Pavel Alexeev 2014-09-09 17:41:38 UTC
Unfortunately it bundles pjsip, so we need wait pjproject package also.
Upstream bugreport: http://sipsimpleclient.ag-projects.com/issues/2661

Comment 2 Orion Poplawski 2017-03-11 17:49:58 UTC
Any progress here?

Comment 3 srakitnican 2017-08-05 14:36:26 UTC
I am trying to package this also, and stumbled upon this review request...

Bundled pjsip in SIP Simple 3.1.1 seems to depend on ffmpeg, but ffmpeg is available only from rpmfusion.

From Dependencies.txt:
> * ffmpeg (libavformat, libswscale, libavcodec, libavutil) (>= 2.7)
> * libx264 (recent snapshot)

Not sure about libx264, it compiled fine without it and I think I did not install it, unless it got pulled somehow as a dependency.

pjproject however doesn't seems to depend on ffmpeg libraries, not sure why.

- Do you think we would have any legal issues in Fedora because of that?
- Is bundled pjsip somehow modified to require this libraries?

Comment 4 srakitnican 2017-08-05 16:09:10 UTC
The difference is that at least aconfigure.ac script have been modified to require ffmpeg libraries, and by the looks of it, some other things as well. So unbundling pjsip seems to not be an option.

Comment 5 Package Review 2020-07-10 00:50:26 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 6 Package Review 2020-07-11 00:46:55 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.